Skip to content

Apply for Collection Account

Request

Collection account application

Headers
X-Merch-Idstring
Default:"M24061911365700670"
Example:M24061911365700670
Bodyapplication/json
request_idstring, [ 1 .. 32 ] charactersrequired

Request number, Unique within the requesting system

regionstringrequired

CollectionCountry/Region, Use ISO3166-2 standard 2-digit Country/Region code (global Account currently only supports HK, local AccountSupport's CollectionCountrySee attachment)

typestringrequired

AccountType LOCAL-local,SWIFT-global

Enum:"LOCAL""SWIFT"
currencystringrequired

CollectionAccountCurrencyType, Single Currency: UseISO-4217 standard 3-digit Currency code, Multiple Currency: MUL

remark_namestring, [ 1 .. 20 ] charactersrequired

CollectionAccountRemark name

POST
/api/v2/merch/va/apply
curl -i -X POST \
  https://api.paykka.com/api/v2/merch/va/apply \
  -H 'Content-Type: application/json' \
  -H 'X-Merch-Id: M24061911365700670'

Responses

OK

Headers
any
Body*/*
request_idstring, [ 1 .. 32 ] charactersrequired

Request number, Unique within the requesting system

typestringrequired

AccountType LOCAL-local,SWIFT-global

Enum:"LOCAL""GLOBAL"
country_codestringrequired

CollectionCountry, Return as is

currenciesArray of strings, uniquerequired

CollectionCurrency, Return as is

account_nostring, [ 0 .. 20 ] charactersrequired

Collection account (length 20 characters)

statusstringrequired

AccountStatus: ENABLED-enabled, PENDING-pending Review, REJECTED-ReviewRejected

Enum:"ENABLED""PENDING""REJECTED"
bank_namestring, [ 0 .. 64 ] charactersrequired

BankName (length 64 characters)

bank_addressstring, [ 0 .. 128 ] charactersrequired

BankAddress (length 128 characters)

account_holder_namestring, [ 0 .. 100 ] charactersrequired

Account holder (100 characters)

bic_swift_codestring, [ 0 .. 16 ] charactersrequired

bic/swift_code (length 16 characters)

routing_numberstring

routing number/ach routing number/wire routing number three returns one

Response
{
  "request_id": "string",
  "type": "LOCAL",
  "country_code": "string",
  "currencies": [
    "EUR"
  ],
  "account_no": "string",
  "status": "ENABLED",
  "bank_name": "string",
  "bank_address": "string",
  "account_holder_name": "string",
  "bic_swift_code": "string",
  "routing_number": "string"
}